import sys
import os
from time import sleep

# 获取当前脚本的绝对路径
current_dir = os.path.dirname(os.path.abspath(__file__))
# 构建预定系统的绝对路径
预定系统_path = os.path.abspath(os.path.join(current_dir, '..','..','..'))
# 添加路径
sys.path.append(预定系统_path)
# 导入模块
try:
    from 预定系统.Base.base import *
except ModuleNotFoundError as e:
    print(f"ModuleNotFoundError: {e}")
    print("尝试使用绝对路径导入")
    from 预定系统.Base.base import *

def suite_setup():
    STEP(1, "初始化浏览器")
    login_exhibit_url = 'http://192.168.5.200:38083/#/login'
    browser_init(login_exhibit_url)

    wd = GSTORE['wd']
    STEP(2, "登录系统")
    safe_send_keys((By.XPATH, "//input[@placeholder='手机号/用户名/邮箱']"),"admin@czj",wd)
    safe_send_keys((By.XPATH, "//input[@placeholder='密码']"),"Ubains@54321",wd)
    safe_send_keys((By.XPATH, "//input[@placeholder='图形验证']"),"csba",wd)
    safe_click((By.XPATH, "//span[@class='el-checkbox__inner']"),wd)
    sleep(2)
    safe_click((By.XPATH, "//div[@id='pane-1']//div//span[contains(text(),'登录')]"),wd)
    sleep(2)

def suite_teardown():
    browser_quit()