# 一、环境运行
   - python3.10
   - 需要手动安装库：pip  install  hytest 

# 二、项目说明
  - 模块以文件夹形式
  - 以功能以文件形式
  - 结合测试用例，测试用例，思维导图，脚本三者一一对应
  - 对应的文档说明备注在网盘的路径

写用例当成写脚本，脚本反向生成用例

单一功能先一个个脚本执行，再来考虑组合

最终的目的，晚上运行一下，白天来看结果

先能完成百分多少是多少，不要想着一下子百分百

## 标准版本

​	自动化测试代码使用了开源的hytest框架，相关框架信息可参考网址：

### 1、预定系统

#### 1.1目录说明

 - MQTT相关代码：D:\GithubData\自动化\ubains-module-test\预定系统\cases\设备管理
 - 标准版预定代码：D:\GithubData\自动化\ubains-module-test\预定系统
   - cases：功能模块自动化代码;
   - Base：存放公共方法和公共类;
   - reports：存放自动生成的测试报告与截图文件;
   - 测试数据：存放测试数据csv文件，用于数据驱动。
 - 项目定制代码：D:\GithubData\自动化\ubains-module-test\预定系统\项目定制

#### 1.2执行指令

执行单个功能模块：

  		1. cd 预定系统
		1. hytest --report_title 测试报告名称 --test 会议预约_0**

执行全部功能模块：

​	1. hytest --report_title 测试报告名称 --tag 后台管理功能

#### 1.3报告查看

​	手动执行：手动执行脚本后会自动生成测试报告弹出展示。

​	定时执行：定制执行脚本后会在钉钉群里发送测试报告链接，点击进入查看即可。

### 2、运维系统

#### 2.1目录说明

- mqtt模板代码：ubains-module-test\标准模板

- 项目相关代码：ubains-module-test\项目测试\对应的项目名称

- 标准版代码：ubains-module-test\项目测试\运维标准版

  ​	cases：功能模块自动化代码；

  ​	lib：库文件，存放公共类或方法；

  ​	log：存放自动生成的测试报告和截图；

  ​	testdata：存放测试数据，用于做批量的数据驱动测试。

#### 2.2执行指令

​	执行单个功能模块：

​	执行多个功能模块：

​	执行全部功能模块：

​	根据标签执行：

#### 2.3报告查看



## 定制版本

- 定制功能
- 不一定是说不能
   - 如何把定制的功能写测试用例，则写是写脚本
   - 先把部分功能独立脚本出来
   - 不要想着一下子全部搞出来

#### 1、目录说明



#### 2、执行指令



#### 3、报告查看



# 三、团队协作

- **产品文档**

  ​	路径：\\\192.168.9.9\产研中心\测试部门\01文档材料 
  ​    说明：主要存放预定、运维、统一平台等产品的操作文档，以及测试方案、部署方案、测试报告等模板文档。具体的项目材料存在于研发管理对应的项目下。

- **脑图用例**

  ​	路径：\\\192.168.9.9\产研中心\测试部门\02脑图及用例  
  ​    说明：主要存放预定及配套件、运维及配套件、统一平台等相关产品的测试脑图和测试用例。每次项目完结后需要将项目相关的功能定制内容合并到对应的产品文档里。

- **测试工具**

  ​	路径：\\\192.168.9.9\产研中心\测试部门\03测试工具及说明
  ​    说明：主要存放测试工作时，常用、好用的测试工具，并且提供相关操作说明供团队成员快速部署和使用。

- **技术共享**

  ​	路径：\\\192.168.9.9\产研中心\测试部门\04技术文档共享
  ​    说明：主要存放相关问题或技术的解决、突破，形成有效快捷的解题思路，可供团队成员快速应对类似的问题。

- **自动化部署**

  ​	路径：\\\192.168.9.9\产研中心\测试部门\05自动化部署
  ​    说明：主要存放自动化部署相关的版本迭代、脚本诠释以及相关组件的使用。

